Lintian ReportsBETA

Wmissing-debconf-dependency-for-preinst

The tag is present in Lintian version 2.104.244. That is the most recent version we know about.

Packages using debconf in their preinst scripts must pre-depend on debconf.

Since debconf is usually installed already, that is better than depending on it but falling back to a different configuration system.

Visibility: warning

Check: debian/debconf

The following 3 source packages in the archive triggered the tag 3 times.

We found 2 overrides. The tag performed 33% of the time.